﻿
@font-face {
    font-family: AzerFont;
    src: url('../assets/fonts/NewFonts/HACEN PROMOTER MD.TTF');
}

/* ---justify center   -------- */
.text-justify-custom {
    text-align: justify;
}

.subscribed-button .btn-success {
    background-color: #198754 !important;
    color: #EEE !important;
}


/* ---start navbar -------- */
.top-nav {
    z-index: 4;
}
.navbar {
  border-bottom: 1px solid #f2f4f7;
  min-height: 70px;
  height: 70px;
  z-index: 4;
}
.nav-link[data-tooltip]:hover::after {
  content: attr(data-tooltip);
  position: absolute;
  bottom: -25px; /* Adjust as necessary */
  left: 50%;
  transform: translateX(-50%);
  background-color: #333; /* Tooltip background color */
  color: #fff; /* Tooltip text color */
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 12px;
  z-index: 1000;
  white-space: nowrap;
}

.nav-link[data-tooltip]:hover {
  position: relative; /* This is necessary for absolute positioning of the tooltip */
}

.navbar-brand img {
    width: 146px;
    height: 70px;
    object-fit: fill;
}

.logo {
    width: 125px;
    height: 67px;
    object-fit: cover;
}
/* logo footer */
#footer .logoFooter {
    width: 166px;
    height: 217px;
    margin:auto;
}
#footer .logo {
    width: 100%;
    height:100%;
    object-fit: cover;
    border-radius: 0;
}
.navbar .navbar-nav .nav-link {
    font-size: 1rem;
    border-right: 1px solid #ebebeb;
    border-left: 0;
    padding: 0 12px;
}
.navbar .navbar-nav .nav-item:last-of-type .nav-link {
    border-right: 0;
    border-left:0;
}
.navbar .dropdown-menu {
  right: 0 !important;
  left: inherit !important;
}
.navbar-nav .nav-link.active {
  color: var(--text-main-color) !important;
  font-weight: bold !important;
}
.search-group .form-control,
.search-group .input-group-text {
  border: 0;
  border-bottom: 1px solid #10394b !important;
  border-radius: 0 !important;
}
.search-group .input-group-text2 {
  border: 0 !important;
}
.sidebar {
  position: fixed;
  top: -100%;
  left: 0%;
  width: 100%;
  height: auto;
  background-color: #fff;
  transition: all 0.3s ease;
  z-index: 2;
}

.sidebar.active {
  /* left: 0; */
  top: 107px;
}

.sidebar ul {
  padding: 0;
  list-style: none;
}

.sidebar a {
  display: block;
  padding: 10px 15px;
  text-decoration: none;
  color: #333;
  border-radius: 7px;
  text-align: center;
}
.sidebar a.active-link,
.sidebar a.active {
  background-color: var(--bg-main-color) !important;
  color: var(--text-white-color) !important;
}
/* ---end navbar -------- */
/* hero-section */
#hero-section {
  min-height: calc(100vh - 110px);
}
#hero-section .overlay {
  inset: 0;
  background-color: #00000070;
  z-index: 2;
}
#hero-section .overlay ~ .row {
  z-index: 3 !important;
  position: relative;
}
/* #hero-section .overlay {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #00000066;
  z-index: 2;
} */
#hero-section .single-banner-slide,
#hero-section .banner-content {
  min-height: calc(100vh - 110px);
  color: #fff !important;
}
#hero-section .single-banner-slide {
  display: flex;
  justify-content: center;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
#hero-section .single-banner-slide .row {
  /* z-index: 3; */
  position: relative;
}
.single-banner-slide span {
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
}
.single-banner-slide h1 {
  color: #fff;
  text-transform: uppercase;
  font-size: 50px;
  text-align: center;
}
.single-banner-slide p {
  color: #fff;
  font-size: 15px;
  margin: 0 auto;
  text-align: center;
}
.single-banner-slide a {
  color: #000;
  background: #fff;
  padding: 10px 30px;
  border-radius: 100px;
  text-decoration: none;
  font-size: 15px;
  font-weight: 600;
  margin-top: 30px;
  transition: 0.3s;
}
.single-banner-slide a:hover {
  color: #fff;
  background: #000;
}
#hero-section .owl-nav {
  position: absolute;
  top: 0;
  color: #fff;
  padding: 3rem;
  font-size: 2rem;
  display: flex;
  flex-direction: column;
  height: calc(100vh - 110px);
  justify-content: space-between;
  width: 8rem;
  z-index: 3;
}
#hero-section .owl-nav .owl-next,
#hero-section .owl-nav .owl-prev {
  transform: rotate(90deg);
}
#hero-section .owl-dots button.owl-dot {
  background-color: #9b9b9b;
  width: 15px;
  height: 15px;
  background-color: #fdfdfd;
  opacity: 0.5;
}
#hero-section .owl-dots button.owl-dot.active {
  opacity: 1;
  width: 20px;
  height: 20px;
}
#hero-section .owl-dots {
  display: flex !important;
  justify-content: center;
  top: 0;
  flex-direction: column;
  height: 100%;
  gap: 10px;
  position: absolute;
  padding: 2rem 4rem;
  width: 2rem;
  align-items: center;
  z-index: 3;
}
/* ABOUT US */
#about-us {
  background-image: url(./../images/home/about-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
/* PROGRAMS */
#programs {
    background-color: #1d515d10;
    border-radius: 20px;
    padding: 20px !important;
}
#programs-page img,
#programs img {
  max-height: 145px;
  object-fit: cover;
}
#programs-page #programs-content {
  /*background-image: url(../images/home/programs/img_5.jpg);*/
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
#programs-page .program-content .description,
#programs .program-content .description {
    opacity: 1;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    width: auto;
}

#programs .program-content .fw-bold {
    width:auto;
}

.item-desc{
    margin:10px auto;
}
/* COURSES */
#courses {
    background-color: #d38b2403;
}
#courses .course-img {
  height: 230px;
}
.global-card .description > * {
    width: 230px;
}
.course-content .description > * {
    width: 100% !important;
}
.course-content .description{
    height: 196px;
    overflow: hidden;
    padding: 10px;
}
.global-card .course-content .description {
    height: 100px;
   
}
#programs-page .program-content .description, #programs .program-content .description {
    height: 112px;
    overflow: hidden;
    padding: 10px;
}
#courses .course-content .description > *, .global-card .description > * {
  
    font-size: 15px;
    opacity: 0.9;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    font-weight: 400;
    font-family: system-ui !important
}


/* STAFF AND TRAINERS */
#staff {
    background-color: #1d515d05;
}
#staff .owl-carousel button.owl-dot {
  width: 12px;
  height: 7px;
  border-radius: 10px;
  background-color: #dddddd;
}
#staff .owl-carousel button.owl-dot.active {
  background-color: var(--bg-secondary-color);
  width: 20px;
  height: 7px;
}
#staff .owl-dots {
  display: flex;
  justify-content: center;
  gap: 5px;
  margin-top: 2rem;
}
#staff .trainer-img {
  min-width: 150px;
  width: 150px !important;
  height: 150px;
  border-radius: 50%;
  object-fit: cover;
}
#staff .trainer-info {
  width: fit-content;
}
#staff .overlay {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: var(--bg-main-color);
  top: 0;
  left: 5px;
  z-index: -1;
}
/* CONTACT US */
#contact-us {
  margin-bottom: -5rem;
  z-index: 2;
  position: relative;
  background-color: #1d515d05;
}
#contact-us .global-card {
  background-image: url(../images/home/contact-bg1.svg);
  background-position: right;
  background-repeat: no-repeat;
}
#contact-us .second-contact-bg {
  background-image: url(../images/home/contact-bg-2.svg);
  background-position: left;
  background-repeat: no-repeat;
}
/* =========== */
#footer.home-footer {
  padding-top: 5rem !important;
}
#footer {
  background-color: var(--bg-main-color);
  background-image: url(../images/footer-bg.svg);
  background-position: right;
  background-repeat: no-repeat;
}
#footer .footer-second-bg {
  background-image: url(../images/footer-bg-2.svg);
  background-position: bottom left;
  background-repeat: no-repeat;
}
.hr {
  border-color: #ccc;
}

.content {
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  -webkit-clip-path: polygon(0 0, 100% 0%, 92% 100%, 0% 100%);
  clip-path: polygon(0 0, 100% 0%, 92% 100%, 0% 100%);
}

.buttonUp {
  position: fixed;
  bottom: 30px;
  right: 30px;
  padding: 10px;
  border-radius: 50%;
  border: transparent;
  color: #fff;
  font-weight: bold;
  display: none;
  z-index: 33333;
  background-color: #10394b !important;
}
.map {
  border-radius: 15px;
}
#contact-us-page {
  background-color: #1d515d0d;
  background-image: url(../images/contact-second-bg.svg);
  background-repeat: no-repeat;
  background-position: right top;
}
#contact-us-page .second-contact-bg {
  background-image: url(../images/contact-bg.svg);
  background-repeat: no-repeat;
  background-position: bottom left;
}
#contact-us-page .contact-info {
  background-color: #fafafa;
  border-radius: 10px;
}
#contact-us-page .contact-icon {
  width: 2.4rem;
  height: 2.4rem;
  background-color: #1d515d26;
}
/* ABOUT PAGE */
#about-page {
  background-color: #d38b240a;
}
#about-page .about-img {
  height: 350px;
  /* transform: translate(-15px, -15px); */
  z-index: 1;
  position: relative;
  transition: all 0.3s ease-in-out;
  border-radius: 20px;
  object-fit: cover;
}
#about-page .about-container-img {
  border-radius: 20px;
}

.icon-tabler-circle-check-filled {
  min-width: 20px;
}

#mission-vision {
  background-color: #1d515d03;
  background-image: url(../images/contact-second-bg.svg);
  background-repeat: no-repeat;
  background-position: right top;
}
    #mission-vision #pills-tabContent ol li a {
       
        color: #007bff;
        font-weight: bold;
    }
#mission-vision .nav-pills .nav-link {
  color: #111;
  font-size: 1.1rem;
  border-bottom: 2px solid #eee;
  border-radius: 0;
  padding-bottom: 0.8rem !important;
}
#mission-vision .nav-pills .nav-link.active {
  color: var(--text-main-color);
  border-bottom: 2px solid var(--bg-main-color);
  background-color: transparent;
  font-weight: bold;
}
/* PROGRAMS PAGE */
#programs-page .programs-bg {
  background-color: #ffffffcf;
  /* background-color: #d38b240a; */
  border-radius: 10px;
}
#programs-page .programs-bg .description {
  color: rgba(0, 0, 0, 0.27);
}
#programs-page .all-programs {
  background-image: url(../images/contact-second-bg.svg);
  background-repeat: no-repeat;
  background-position: right top;
}
#programs-page .all-programs-second-bg {
  background-image: url(../images/contact-bg.svg);
  background-repeat: no-repeat;
  background-position: bottom left;
}
#program-page-details .page-item .page-link:focus,
#program-page-details .page-item .page-link {
  border-radius: 5px !important;
  color: var(--text-main-color);
  box-shadow: none !important;
  background-color: transparent !important;
}
#program-page-details .active > .page-link {
  background-color: var(--bg-main-color) !important;
  border-color: var(--bg-main-color) !important;
  color: var(--text-white-color);
}
#program-page-details {
  background-color: #d38a2404;
  background-image: url(../images/contact-second-bg.svg);
  background-repeat: no-repeat;
  background-position: right top;
}
#program-page-details .program-img {
  height: 300px;
  border-radius: 15px;
}
#course-details .program-slider {
  height: 60vh !important;
  overflow: hidden;
}
#course-details .course-img {
  height: auto !important;
  /* height: 60vh !important; */
}
#course-details .course-info {
  margin-top: -9rem !important;
}
#suggested-list {
  background-image: url(../images/contact-bg.svg);
  background-repeat: no-repeat;
  background-position: bottom right;
}
#course-details-content {
  background-color: #d38a2404;
  background-image: url(../images/contact-second-bg.svg);
  background-repeat: no-repeat;
  background-position: top right;
}
.accordion-item {
  margin-bottom: 10px;
  border-radius: 6px;
  border: 1px solid #ddd !important;
}
.accordion-item .accordion-button {
  border-radius: 6px !important;
}
.accordion-button:not(.collapsed) {
  background-color: var(--bg-main-color) !important;
  color: var(--text-white-color) !important;
  border-radius: 6px 6px 0 0 !important;
}
.accordion-button:not(.collapsed)::after {
  filter: invert(100%) sepia(100%) saturate(14%) hue-rotate(212deg)
    brightness(104%) contrast(104%) !important;
}
#video {
  height: 500px;
  object-fit: cover;
  width: 100%;
}
.video-content .video-container {
  min-width: 100%;
  border-radius: 4px;
  margin: 0 auto;
  box-shadow: 0px 8px 20px rgba(black, 0.4);
}
.video-content .video-wrapper {
  height: 100%;
}

.video-content .play-button-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  height: auto;
  pointer-events: none;
}
.video-content #circle-play-b {
  cursor: pointer;
  pointer-events: auto;
}
.video-content svg {
  width: 100px;
  height: 100px;
  fill: #fff;
  stroke: #fff;
  cursor: pointer;
  background-color: var(--main-color);
  border-radius: 50%;
  opacity: 0.9;
}
/* ====================conferences-and-seminars============ */
#conferences-and-seminars {
  background-color: #d38a240f;
}
#conferences-and-seminars .banner-slide {
  background-image: url(../images/home/img_2.jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  min-height: 60vh;
}
#conferences-and-seminars .overlay {
  inset: 0;
  background-color: #00000075;
  /* z-index: 2; */
}
#conferences-and-seminars .conferences-img {
  height: 270px;
  border-radius: 10px;
}
#conferences-and-seminars .conferences-and-seminars-content {
  background-image: url(../images/contact-second-bg.svg);
  background-position: right;
  background-repeat: no-repeat;
}
#conferences-and-seminars .conferences-and-seminars-content .global-card {
  background-image: url(../images/contact-bg.svg);
  background-position: right bottom;
  background-repeat: no-repeat;
}
/* ================publishing-and-distribution========== */
#publishing-and-distribution {
  background-image: url(../images/contact-second-bg.svg);
  background-position: top right;
  background-repeat: no-repeat;
  background-color: #d38a240f;
}
#publishing-and-distribution .publishing-and-distribution-content .global-card {
  background-image: url(../images/contact-bg.svg);
  background-position: right bottom;
  background-repeat: no-repeat;
}
#publishing-and-distribution .author-img {
  height: 210px;
  object-fit: cover;
  border-radius: 10px;
}
#publishing-and-distribution .author-desc {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 3;
}
/* =========================library============= */
.lib-hero {
  background-image: url(./../images/home/about-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  min-height: 60vh;
}
.library-links a {
  border: 1px solid var(--bg-main-color);
  color: var(--text-main-color) !important;
  border-radius: 7px;
  padding: 0.7rem 1rem;
}
#library .nav-pills .nav-link {
  border-radius: 0;
  padding: 1.5rem;
  color: var(--text-dark-color);
  font-size: 1.1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}
#library .nav-pills .nav-link svg {
  font-size: 1.4rem;
}
.fa-star,
.fa-star-half-alt {
  color: #ffb400;
}
.book-img {
  height: 170px;
  border-radius: 8px;
}
#library .nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
  background-color: transparent;
  color: var(--bg-secondary-color);
  border-bottom: 1px solid var(--bg-secondary-color);
  font-weight: bold;
}
/*modal style*/
#subscribeModal .modal-header {
    background-color: var(--bg-main-color);
    color: #fff;
}

    #subscribeModal .modal-header .btn-close {
        padding: initial;
        margin: initial;
        background:none;
        color:#fff;
        opacity:1;
    }
    /* cover img width -height */
.projram-slider {
    height: 360px !important;
    width: 100%;
    overflow: hidden;
}

/* admin style*/
.dir-rtl-form{direction:rtl;}
#nav-signin-tab{margin:auto!important}

.btn-outline-main:hover, .btn-outline-main:focus {
    color: var(--text-white-color) !important;
    background-color: var(--bg-main-color) !important;
    border-color: var(--bg-main-color) !important;
}
    /*-------------------------------- fix bugs by buthainah-------------------------------------------*/
    @media screen and (min-width: 1024px) {
        /* قواعد التنسيق لأجهزة الكمبيوتر المكتبية هنا */
        .content {
            -webkit-clip-path: content-box;
            clip-path: content-box;
        }
    }

    @media screen and (min-width: 1024px) and (max-width: 1390px) {
        /* قواعد التنسيق لأجهزة الكمبيوتر المكتبية هنا */
        #publishing-and-distribution .publishing-and-distribution-content .global-card {
            background-image: url('') !important;
        }

        .content {
            -webkit-clip-path: content-box;
            clip-path: content-box;
        }

        .navbar-nav.gap-3 {
            gap: 0rem !important;
        }
    }

    @media screen and (min-width: 768px) and (max-width: 1023px) {
        /* قواعد التنسيق للأجهزة اللوحية هنا */
        .content {
            -webkit-clip-path: content-box;
            clip-path: content-box;
        }

        #publishing-and-distribution .publishing-and-distribution-content .global-card {
            background-image: url('') !important;
        }

        .navbar-nav.gap-3 {
            gap: 0rem !important;
        }

        .justify-content-between {
            justify-content: normal !important;
        }

        .justify-content-end {
            justify-content: flex-start !important;
        }
    }

    @media screen and (max-width: 767px) {
        /* قواعد التنسيق للأجهزة المحمولة هنا */
        .image-div {
            height: 145px;
        }

            .image-div img {
                height: 100% !important;
                width: 100%;
            }

        .justify-content-between {
            justify-content: normal !important;
        }

        .justify-content-end {
            justify-content: flex-start !important;
        }

        .content {
            -webkit-clip-path: content-box;
            clip-path: content-box;
        }

        #publishing-and-distribution .publishing-and-distribution-content .global-card {
            background-image: url('') !important;
        }

        #contact-us .second-contact-bg {
            background-position: bottom left;
        }

        #footer .footer-second-bg {
            background-image: url('') !important;
        }

        #footer {
            background-image: url('') !important;
        }

        #conferences-and-seminars .conferences-and-seminars-content .global-card {
            background-image: url() !important;
        }
    }

    /*----------------------------font---------------------------*/


h1, h2, h3, h4, h5, h6 {
    font-family: AzerFont !important;
}

.program-content p:nth-of-type(2n+2) {
    height: 65px;
    overflow: hidden;
    white-space: pre-line;
    text-align: start;
    text-overflow: ellipsis;
}
.program-content {
    height: 112px;
    overflow: hidden;
}
.program-content > * {
    font-size: 15px !important;
    font-weight: 400 !important;
    overflow: hidden !important;
    /*height: 55px;*/
}
.program-content  .fw-bold {
    font-size: 20px !important;
    font-weight: 500 !important;
    overflow: visible !important;
    height: auto !important;
}